<?php

class Ezfc_Element_Table_order extends Ezfc_Element {
	public function get_output() {
		global $element_data;
		global $element_vars;
		global $output;

		$el_text  = "";
		$add_attr = "";

		$this->element_js_vars["table_order"] = array();
		$element_data = $this->data;

		$this->element_js_vars["table_order_loop_function"] = Ezfc_Functions::get_object_value($element_data, "table_order_loop_function", "");

		$element_options = $this->frontend->get_options_source($this->data, $this->id, $this->options);
		$output = $this->output;

		$el_text .= "<div class='{$this->data->class} ezfc-element ezfc-element-table_order' id='{$this->output["element_child_id"]}' {$this->output["style"]} {$this->output["required"]} {$add_attr}>";

		$el_text .= "<table class='ezfc-element-table_order-table'>";

		// check for images first
		$has_image = false;
		foreach ($element_options as $n => $option) {
			if (!empty($option->image)) {
				$has_image = true;
				break;
			}
		}

		foreach ($element_options as $n => $option) {
			$input_id = "{$this->output["element_child_id"]}-{$n}";
			$row_subtotal_id = $input_id . "-subtotal";

			$min = property_exists($option, "min") ? $option->min : 0;
			$max = property_exists($option, "max") ? $option->max : 0;
			$input_value = max(0, $min);

			$add_data = "";

			// option ID
			if (!empty($option->id)) {
				$add_data .= " data-optionid='" . esc_attr($option->id) . "'";
			}
			// disabled
			if (!empty($option->disabled)) {
				$add_data .= " disabled='disabled'";
			}

			$item_price = $this->frontend->number_format($option->value, $this->data);

			$element_vars = array(
				"add_data"    => $add_data,
				"has_image"   => $has_image,
				"id"          => $option->id,
				"index"       => $n,
				"input_id"    => $input_id,
				"input_value" => $input_value,
				"item_price"  => $item_price,
				"min"         => $min,
				"max"         => $max,
				"option"      => $option,
				"subtotal_id" => $row_subtotal_id,
				"value"       => $option->value
			);
			// js
			$this->element_js_vars["table_order"][$n] = $element_vars;

			$el_text .= $this->frontend->get_template("elements/table_order-loop");
		}

		$el_text .= "</table>";
		$el_text .= "</div>";

		return $el_text;
	}
}